Powerlevel Changer Plugin

Status
Not open for further replies.
Active Member
✔️ HL Verified
💻 Oldtimer
Joined
Nov 6, 2004
Messages
3,055
Best answers
0
This has already been written (several times I believe) but I couldn't bear to look at the previous plugins, because they were formatted horribly or they were terribly unoptimized, or both. So I've written my own. Use it or don't, I don't really care. It's here if anybody wants it.

You need AMX Mod X 1.8.1 (or higher) installed and working on your server to use this.

Commands:


  • amx_setpl - Sets powerlevel.

Changelog:

1.11:

  • Fixed potential bug where player spawns with PL reset.

1.1:

  • Can no longer set powerlevel on dead players.
  • amx_powerlevel_enabled and amx_powerlevel_logging CVARs added.
  • "Powerlevel changed" message no longer appears to the player using the command.

1.0:

  • Initial release.

Installation:

  1. Download the package here.
  2. Extract files to your server's ESF folder.
  3. Add "esf_pl.amxx" to the third-party section of your AMXX installation's plugins.ini configuration file.
  4. Start your server up and enjoy!
 
Last edited:
Freelance Mappzor
✔️ HL Verified
🚂 Steam Linked
💻 Oldtimer
Joined
Nov 21, 2003
Messages
17,065
Best answers
0
Just to point out for someone who might be asking.

The fact aht you require AMXX 1.8.1 or higher means its not compatible with ECX.

Since if you update AMXX then ECX wont work XD
 
Active Member
✔️ HL Verified
💻 Oldtimer
Joined
Nov 6, 2004
Messages
3,055
Best answers
0
Actually, I'm pretty sure if you upgraded your AMXX installation, it would still work fine. You can use older plugins on newer installations, just not newer plugins on older installations. Unless ECX is coded even worse than I already imagine it is. Then you're screwed because I'm not supporting this for ECX.

Edit: http://forums.alliedmods.net/showthread.php?t=89670
 
Freelance Mappzor
✔️ HL Verified
🚂 Steam Linked
💻 Oldtimer
Joined
Nov 21, 2003
Messages
17,065
Best answers
0
ECX made its own pluggin loader. Rendering pluggins.ini useless.

So the way ECX is activated is a bit different from what i can guess.

Then again if someone was smart enough then heed probably port it with no problems. Just that the majority isnt. And there have been quite some threads about "Why EVM stopped working when they upgraded AMXX"
 
Active Member
✔️ HL Verified
💻 Oldtimer
Joined
Nov 6, 2004
Messages
3,055
Best answers
0
Ugh, just another thing I hate about ECX...

If you can't make it work, then sorry, but you're screwed. I'm not supporting ECX.
 
Active Member
✔️ HL Verified
💻 Oldtimer
Joined
Mar 13, 2005
Messages
3,877
Best answers
0
Its easy... Just drop the plugin in the plugin folder and ECX autoloads it.....
 
Base belongs to me.
👑 Administrator
🌠 Staff
✔️ HL Verified
🚂 Steam Linked
💎Légéñdārý
Joined
Nov 30, 2002
Messages
10,844
Best answers
0
Its easy... Just drop the plugin in the plugin folder and ECX autoloads it.....
As far as I know, the plugin is created for the latest AMXmodX version, right? I'm not sure it supports downgraded versions. But I could be wrong.
 
Active Member
✔️ HL Verified
💻 Oldtimer
Joined
Nov 6, 2004
Messages
3,055
Best answers
0
You don't seem to understand the problem, Deathshot. :p
 
Active Member
✔️ HL Verified
💻 Oldtimer
Joined
Mar 13, 2005
Messages
3,877
Best answers
0
Do I ever understand anything? Is this a new Plugin or something?
 

sub

Active Member
💻 Oldtimer
Joined
Jun 18, 2003
Messages
5,961
Best answers
0
It's a new plugin
 
Active Member
✔️ HL Verified
💻 Oldtimer
Joined
Mar 13, 2005
Messages
3,877
Best answers
0
Ohhh. I thought it was that old one the Encore_SX made so long ago.
But eitherway that should work the sameway.
 
Freelance Mappzor
✔️ HL Verified
🚂 Steam Linked
💻 Oldtimer
Joined
Nov 21, 2003
Messages
17,065
Best answers
0
Would it work.

Remember ECX has its own pluggin loader system. And this pluggin is made with a newer version of AMXX. Im not sure the outdated loader can load the new pluggin :s
 
Active Member
✔️ HL Verified
💻 Oldtimer
Joined
Nov 6, 2004
Messages
3,055
Best answers
0
Looks like ECX uses plugins.ini to load their plugin manager, so it's still functioning. :/
 
ESF Coder
🌠 Staff
Joined
Jun 13, 2004
Messages
585
Best answers
0
yeah it is, but the problem is, that the ppl upgrade amxx "wrongly" ( they overwrite some ini files we have modified for our amxx auto plugin loader ). The result is, that the upgraded version of amxx wouldn't start ecx. But if you upgrade correctly you wont have any problems
 
Former Forcepit Member :(
✔️ HL Verified
💻 Oldtimer
Joined
Aug 21, 2006
Messages
1,716
Best answers
0
i always upgrade my amxx without problems like green said you need to do it right
 
Active Member
✔️ HL Verified
💻 Oldtimer
Joined
Nov 6, 2004
Messages
3,055
Best answers
0
Version 1.1 released. :D
 
Active Member
✔️ HL Verified
💻 Oldtimer
Joined
Nov 6, 2004
Messages
3,055
Best answers
0
dutchmeat[nl];928367 said:
Shouldn't you be setting property 461 aswell ?
Um, no? Why? o_O
 
NOT IN THE MANGA™
★ Black Lounger ★
✔️ HL Verified
🚂 Steam Linked
💻 Oldtimer
Joined
Jan 5, 2008
Messages
3,276
Best answers
0
I think you should. Otherwise player will have normal PL value at his next spawn.
 
Active Member
✔️ HL Verified
💻 Oldtimer
Joined
Nov 6, 2004
Messages
3,055
Best answers
0
Version 1.11 released. o_O
 
Status
Not open for further replies.

Users who are viewing this thread

Top